package cn.com.qmth.examcloud.core.basic.service.bean;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class CryptoConfigInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组合")
    private String combination;

    @ApiModelProperty(value = "是否启用")
    private boolean enable;

    @ApiModelProperty(value = "更新时间", hidden = true)
    private long updateTime;

    public CryptoConfigInfo(String combination, boolean enable, long updateTime) {
        this.combination = combination;
        this.enable = enable;
        this.updateTime = updateTime;
    }

    public CryptoConfigInfo() {

    }

    public String getCombination() {
        return combination;
    }

    public void setCombination(String combination) {
        this.combination = combination;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(long updateTime) {
        this.updateTime = updateTime;
    }

}
